﻿using MultiLayout.UiModule;
using GalaSoft.MvvmLight.Command;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Navigation;
using FLY.Thick.Base.UI;
using Unity;
using MultiLayout;

namespace FLY.Thick.Base.UI.CustomMenu
{
    public class WarningMenu : IMenu
    {
        public string Title => "全局报警";

        public Brush Brush { get; set; }




        IUnityContainer container;
        public WarningMenu(IUnityContainer container)
        {
            this.container = container;

            Brush = Brushes.Red;

        }

        public void OnClick() 
        {
            var p = this.container.Resolve<PgErrorsTable>();
            FlyLayoutManager.NavigationService.Navigate(p);
            
        }
    }
}
